import { browser } from '$app/environment';
import { writable } from 'svelte/store';

const defaultValue = false;
const initialValue = browser ? window.localStorage.getItem('register') === 'true' : defaultValue;

const register = writable<boolean>(initialValue);

register.subscribe((value) => {
	if (browser) {
		window.localStorage.setItem('register', value ? 'true' : 'false');
	}
});

export function resetRegister() {
	register.set(defaultValue);
}

export default register;
